sayren Docs
출고지·반품지

출고지·반품지 등록

POST
/v1/seller-addresses

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Request Body

application/json
  1. body
type*string
Value in"SHIPPING""RETURN"
name*string
Length1 <= length <= 50
contactName*string
Length1 <= length
phone*string
Match^01[0-9]{8,9}$
zipCode*string
Match^[0-9]{5}$
address1*string
Length1 <= length
address2?string

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X POST 'https://api.sayren.io/v1/seller-addresses' \  -H 'X-Store-Id: string' \  -H 'Content-Type: application/json' \  -d '{  "type": "SHIPPING",  "name": "string",  "contactName": "string",  "phone": "string",  "zipCode": "string",  "address1": "string"}'
{  "meta": {    "status": 201,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "addressId": "string",    "type": "SHIPPING",    "name": "string",    "isDefault": true,    "contactName": "string",    "phone": "string",    "zipCode": "string",    "address1": "string",    "address2": "string",    "createdAt": "string"  },  "error": null}